package ar.edu.unju.fi.poo.champions.controller;

import ar.edu.unju.fi.poo.champions.service.SoccerService;
import ar.edu.unju.fi.poo.champions.service.dto.request.PlayerDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 
 * @author jzapana
 *
 */
@RestController
@RequestMapping("/api/v2/team")
@Slf4j
public class TeamResource {
	SoccerService soccerService;
	public TeamResource(SoccerService soccerService) {
		this.soccerService = soccerService;
	}

	/**
	 * Obtener todos los players de un Team
	 * 
	 */
	@GetMapping("/players/{id}")
	public ResponseEntity<List<PlayerDTO>> getAllTeamPlayers(@PathVariable Long id) {
		log.debug("Fetching players for team [{}]", id);

		List<PlayerDTO> players = soccerService.getAllTeamPlayers(id);
		if (players.isEmpty()) {
			log.info("No players found for team [{}]", id);
			return ResponseEntity.noContent().build();
		}
		log.info("Players fetched successfully for team [{}]", id);
		return ResponseEntity.ok(players);
	}
}
