package ar.edu.unju.fi.poo.champions.repository;

import ar.edu.unju.fi.poo.champions.entity.Player;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PlayerRepository extends CrudRepository<Player, Long> {

	/**
	 * Busca por el nombre del jugador
	 * 
	 * @param name
	 * @return
	 */
	List<Player> findByName(String name);

	List<Player> findByNameAndPosition(String name, String position);

	List<Player> findByTeamId(long teamId);

}
